Search documentation of ExStreamClient

# ExStreamClient.Model.ThreadParticipant (ExStreamClient v0.1.10)

View Source

Schema representing a ThreadParticipant

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ThreadParticipant{
      app_pk: integer(),
      channel_cid: String.t(),
      created_at: float(),
      custom: %{optional(String.t()) => any()},
      last_read_at: float(),
      last_thread_message_at: float() | nil,
      left_thread_at: float() | nil,
      thread_id: String.t() | nil,
      user: ExStreamClient.Model.UserResponse.t() | nil,
      user_id: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()